
Redmine - Defect #4625

First access to a particular Subversion repository crashes Redmine

2010-01-21 22:30 - Marcel Waldvogel

Status: Closed Start date: 2010-01-21

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 0.9.0

Description

Software: PostgreSQL 8.4.2, Ruby 1.8.7, Rails 2.3.5, Redmine 0.9.0rc, svn 1.5.1

Redmine works fine with several Subversion repositories (all over https://), but one of them repeatably takes very long and then

crashes as follows.

Please let me know what additional information you require.

Processing RepositoriesController#show (for 87.245.77.248 at 2010-01-21 22:07:05) [GET]

  Parameters: {"action"=>"show", "id"=>"dtn-routing", "controller"=>"repositories"}

ActiveRecord::StatementInvalid (SystemExit: exit: INSERT INTO "changes" ("changeset_id", "action",

 "branch", "path", "revision", "from_path", "from_revision") VALUES(237, E'A', NULL, E'/trunk/Pape

rs/DTN/Dtn.org Simulation stuff/db-4.4.20/examples_c/tags', NULL, NULL, NULL) RETURNING "id"):

  app/models/repository/subversion.rb:66:in `fetch_changesets'

  app/models/repository/subversion.rb:65:in `each'

  app/models/repository/subversion.rb:65:in `fetch_changesets'

  app/models/repository/subversion.rb:58:in `fetch_changesets'

  app/models/repository/subversion.rb:57:in `reverse_each'

  app/models/repository/subversion.rb:57:in `fetch_changesets'

  app/controllers/repositories_controller.rb:70:in `show'

  /usr/share/redmine/public/dispatch.fcgi:24

Rendering /usr/share/redmine-0.9.0/public/500.html (500 Internal Server Error)

History

#1 - 2010-01-22 00:31 - Marcel Waldvogel

- Status changed from New to Resolved

It seems to be timeout-related, although the "StatementInvalid" got me confused.

At least,

ruby script/runner "Repository.fetch_changesets" -e production

does the job as it should.

So please close the bug and sorry for the wasted time.

#2 - 2010-01-22 15:37 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Resolution set to Invalid
